#!/bin/sh
# Copyright (C) 2013, Eric Wong <normalperson@yhbt.net> and all contributors
# License: GPLv3 or later (https://www.gnu.org/licenses/gpl-3.0.txt)

# test CGI program, this remains portable POSIX shell (not bash)
set -e

stdhead () {
	echo Content-Type: text/plain
	echo Status: 200 OK
	echo
}

case $PATH_INFO in
/)
	stdhead
	echo HIHI
	;;
/env)
	stdhead
	env
	;;
/known-length)
	echo Content-Type: text/plain
	echo Status: 200 OK
	echo Content-Length: 5
	echo
	echo HIHI
	;;
*)
	echo Content-Type: text/plain
	echo Status: 404 Not Found
	echo
	;;
esac
